## python-djvulibre 0.8.7

=== debian/changelog ===
python-djvulibre (0.8.7-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:04:23 +0000

python-djvulibre (0.8.7-1) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Update Vcs-* fields with new Debian Python Team layout.
    + Bump debhelper compat to v13
    +  Bump Standards-Version to 4.6.0.
  * New upstream version 0.8.7.
  * debian/patches: Dropped, not needed.
  * debian/control: Drop old -dbg package. (Closes: #994350)
  * debian/tests/: Use py3versions -s instead of -i (lintian).

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 20:20:21 -0400

=== debian/control ===
Source: python-djvulibre
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev,
 python3-all-dbg,
 python3-distutils,
 libdjvulibre-dev (>= 3.5.26),
 djvulibre-bin,
 cython3 (>= 0.20),
 pkg-config,
 python3-nose <!nocheck>,
 python3-sphinx <!nodoc>,
 graphviz <!nodoc>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-djvulibre.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djvulibre
Homepage: http://jwilk.net/software/python-djvulibre

Package: python3-djvu
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 python-djvu-doc
Description: Python3 support for the DjVu image format
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains the Python3 bindings, please see python-djvu-doc
 for its documentation and python3-djvu-dbg for debugging symbols.

Package: python-djvu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-djvu
Description: Python support for the DjVu image format (documentation)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains technical documentation.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=djvu
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --buildsystem=pybuild

else
	dh $@ --with sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="unset LANGUAGE; cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip; rm djvu" \
	dh_auto_test

override_dh_install:
	rm -r debian/python*-djvu/usr/lib/python*/dist-packages/djvu/dllpath.py

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext -i
	http_proxy='127.0.0.1:9' python3 setup.py build_sphinx
endif
	dh_installdocs -Xobjects.inv -A doc/credits

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-djvu --dbgsym-migration='python3-dvju-dbg (<< 0.8.7-1~)'
endif

## python-djvulibre 0.8.8

=== debian/changelog ===
python-djvulibre (0.8.8-3) unstable; urgency=medium

  * QA upload.
  * Don't strip CFLAGS, the Python bug that was worked around was fixed in 2019.
    Makes the package reproducible, thanks Vagrant Cascadian! (Closes: #1021471)

 -- Philip Rinn <rinni@debian.org>  Fri, 11 Nov 2022 19:35:27 +0100

python-djvulibre (0.8.8-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop transition for old debug package migration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:03:05 +0100

python-djvulibre (0.8.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Sep 2022 13:55:56 -0400

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  python3-nose <!nocheck>,
  python3-sphinx <!nodoc>,
  graphviz <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-djvulibre.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djvulibre
-Homepage: http://jwilk.net/software/python-djvulibre
+Homepage: https://jwilk.net/software/python-djvulibre
 
 Package: python3-djvu
 Architecture: any
@@ -46,6 +46,7 @@
  ${sphinxdoc:Depends}
 Recommends:
  python3-djvu
+Multi-Arch: foreign
 Description: Python support for the DjVu image format (documentation)
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
  an open source implementation of DjVu. This image format is designed

=== debian/rules ===
--- 
+++ 
@@ -28,5 +28,5 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-djvu --dbgsym-migration='python3-dvju-dbg (<< 0.8.7-1~)'
+	dh_strip -ppython3-djvu
 endif

## python-djvulibre 0.9.0

=== tests/images/Makefile ===
# Copyright © 2010-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of python-djvulibre.
#
# python-djvulibre is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published by
# the Free Software Foundation.
#
# python-djvulibre is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.

PDF2DJVU = pdf2djvu

tex_files = $(wildcard *.tex)
pdf_files = $(tex_files:.tex=.pdf)
djvu_files = $(pdf_files:.pdf=.djvu)

.PHONY: all
all: $(djvu_files)

%.pdf: %.tex
	pdflatex $(<)
	pdflatex $(<)

%.djvu: %.pdf
	$(PDF2DJVU) $(<) -o $(@)

.PHONY: clean
clean:
	rm -f $(pdf_files) *.log *.out *.aux

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
python-djvulibre (0.9.0-3ubuntu1) noble; urgency=medium

  * Drop dependencies on python3-distutils, see # 1065925

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Apr 2024 17:06:31 +0000

python-djvulibre (0.9.0-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:29:33 +0000

python-djvulibre (0.9.0-3) unstable; urgency=medium

  * QA upload.

  [ Yogeswaran Umasankar ]
  * Fix for s390x build failure, revised override_dh_auto_test in rules.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Feb 2024 19:58:28 +0100

python-djvulibre (0.9.0-2) unstable; urgency=medium

  * QA upload.

  [ Yogeswaran Umasankar ]
  * Disabled test_decode and test_export_ps in s390x.
  * Disabled test_export_ps.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Jan 2024 20:30:00 +0000

python-djvulibre (0.9.0-1) unstable; urgency=medium

  * QA upload.
  
  [ Alexandre Detiste ]
  * New upstream version 0.9.0 (Closes: #1056854, #1042661, #1056468)
  * switch to fork found via repology.com
  * update copyright & homepage

  [ Yogeswaran Umasankar ]
  * Fixed override_dh_installdocs in rules to fit new upstream.
  * Included python3-wheel in d/control build depends.
  * Patch to fix doc conf.py setup module issue.
  * Included __init__.py in tests/ for autopkgtests + disabled test_export_ps.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Jan 2024 12:51:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: python-djvulibre
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all-dev,
  python3-all-dbg,
- python3-distutils,
  libdjvulibre-dev (>= 3.5.26),
  djvulibre-bin,
  cython3 (>= 0.20),
- pkg-config,
+ pkgconf,
+ python3-wheel,
  python3-nose <!nocheck>,
  python3-sphinx <!nodoc>,
  graphviz <!nodoc>
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-djvulibre.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djvulibre
-Homepage: https://jwilk.net/software/python-djvulibre
+Homepage: https://github.com/FriedrichFroebel/python-djvulibre
 
 Package: python3-djvu
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=djvu
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --buildsystem=pybuild

else
	dh $@ --with sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_test:
# Exclude test_decode in s390x
ifeq ($(DEB_HOST_ARCH), s390x)
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="unset LANGUAGE; cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip -e test_decode -e test_export_ps; rm djvu" \
	dh_auto_test
else
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="unset LANGUAGE; cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip -e test_export_ps; rm djvu" \
	dh_auto_test
endif

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext -i
	http_proxy='127.0.0.1:9' sphinx-build -b html doc/api build/sphinx/html
endif
	dh_installdocs -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-djvu
endif

=== debian/tests/control ===
Tests: python3-djvu
Depends: @, @builddeps@, python3-djvu, python3-all, python3-nose
Restrictions: allow-stderr

## python-djvulibre 0.9.1

=== debian/changelog ===
python-djvulibre (0.9.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:37:07 +0000

python-djvulibre (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Fix PageJobTestCase.test_decode on big-endian systems (closes:
    #1103593).
  * Build-depend on ghostscript for DocumentsTestCase.test_export_ps.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Apr 2025 00:45:29 +0100

python-djvulibre (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Simplify test setup slightly.
  * Switch to autopkgtest-pkg-pybuild.
  * Simplify documentation building, avoiding the need for a patch.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Mar 2025 19:27:18 +0000

python-djvulibre (0.9.0-7) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100265).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:29:58 +0000

python-djvulibre (0.9.0-6) unstable; urgency=medium

  * Team upload.

  [Alexandre Detiste]
  * Switch autopkgtest to pytest.

  [Yogeswaran Umasankar]
  * d/rules and d/tests/python3-djvu: fix autopkgtest for pytest.
  * d/control: bumped Standards-Version to 4.7.0.
  * d/patches/001-fix-for-doc-conf.patch: forward not-needed.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 18 Sep 2024 22:35:51 +0000

python-djvulibre (0.9.0-5) unstable; urgency=medium

  * Adopt package inside DPT (Closes: #945190)
  * Switch to pybuild-plugin-pyproject (Closes: #1080923)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 12:34:11 +0200

python-djvulibre (0.9.0-4) unstable; urgency=medium

  * QA upload.
  * Replace python3-nose by python3-pytest (Closes: #1018481)
  * Drop python3-distutils dependency (Closes: #1065925)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 May 2024 00:26:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,39 @@
 Source: python-djvulibre
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ cython3 (>= 0.20),
+ djvulibre-bin,
+ ghostscript <!nocheck>,
+ graphviz <!nodoc>,
+ libdjvulibre-dev (>= 3.5.26),
+ pkgconf,
+ pybuild-plugin-pyproject,
  python3-all-dev,
- python3-all-dbg,
- libdjvulibre-dev (>= 3.5.26),
- djvulibre-bin,
- cython3 (>= 0.20),
- pkgconf,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
  python3-wheel,
- python3-nose <!nocheck>,
- python3-sphinx <!nodoc>,
- graphviz <!nodoc>
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-djvulibre.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djvulibre
 Homepage: https://github.com/FriedrichFroebel/python-djvulibre
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-djvu
 Architecture: any
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
- python-djvu-doc
+ python-djvu-doc,
 Description: Python3 support for the DjVu image format
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
  an open source implementation of DjVu. This image format is designed
@@ -44,9 +49,9 @@
 Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Recommends:
- python3-djvu
+ python3-djvu,
 Multi-Arch: foreign
 Description: Python support for the DjVu image format (documentation)
  python-djvulibre is a set of Python bindings for the DjVuLibre library,

## python-djvulibre 0.9.3

=== tests/images/Makefile ===
# Copyright © 2010-2018 Jakub Wilk <jwilk@jwilk.net>
# Copyright © 2024 FriedrichFroebel
#
# This file is part of djvulibre-python.
#
# djvulibre-python is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published by
# the Free Software Foundation.
#
# djvulibre-python is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.

PDF2DJVU = pdf2djvu

tex_files = $(wildcard *.tex)
pdf_files = $(tex_files:.tex=.pdf)
djvu_files = $(pdf_files:.pdf=.djvu)

.PHONY: all
all: $(djvu_files)

%.pdf: %.tex
	pdflatex $(<)
	pdflatex $(<)

%.djvu: %.pdf
	$(PDF2DJVU) $(<) -o $(@)

.PHONY: clean
clean:
	rm -f $(pdf_files) *.log *.out *.aux

.error = GNU make is required

=== debian/changelog ===
python-djvulibre (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Make compatible with Cython >= 3.1.0 (closes: #1119766).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Nov 2025 14:58:45 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djvulibre
 Homepage: https://github.com/FriedrichFroebel/python-djvulibre
 Testsuite: autopkgtest-pkg-pybuild
+X-Style: black
 
 Package: python3-djvu
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=djvu
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=\
	cd {build_dir}/tests; \
	env -u LANGUAGE {interpreter} -m pytest -v

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --buildsystem=pybuild

else
	dh $@ --with sphinxdoc --buildsystem=pybuild
endif

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext -i
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -b html doc/api build/sphinx/html
endif
	dh_installdocs -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-djvu
endif

=== debian/watch ===
version=4
https://github.com/FriedrichFroebel/python-djvulibre/tags \
(?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
